/***************************************************************************
                          main.cpp  -  description
                             -------------------
    begin                : mar dc 20 19:02:09 UTC 2005
    copyright            : (C) 2005 by Gibaud Alain
    email                : alain.gibaud@free.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "pikdbmaker.h"
#include <iostream>



using namespace std ;

int main(int argc, char *argv[])
{
  int r = 0 ;

  string en("kwrite") ;

  if(argc == 2 ) en = argv[1]  ;
  
  pikDBMaker dbm(en, true) ;

  string status = dbm.go() ;
  if( status != "")
  {
    r = -1 ;
    cerr << status << endl ;
  }
  
  return r;
}
