/***************************************************************************
                          devicedata.h  -  description
                             -------------------
    begin                : mar dc 20 2005
    copyright            : (C) 2005 by Gibaud Alain
    email                : alain.gibaud@free.fr
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef DEVICEDATA_H
#define DEVICEDATA_H


#include <map>
#include <string>
#include <vector>

using namespace std ;
/**
  *@author Gibaud Alain
  */

class deviceData
{
public:
  string                dataname ;
  map<string,string>    params ;
  vector<deviceData *>  subdata ;
public: 
	deviceData(const string &name);
	~deviceData();
  /** No descriptions */
  ostream& print(ostream& os);
  /** No descriptions */
   deviceData(const deviceData& d);
};

#endif
